import { HandoverClient } from '../../src/lib/sdk'
import { assert } from 'chai'

describe('Helpers', () => {
  const message = HandoverClient.buildMessage('helper', 'message')
  it('buildMessage should return an object', () => {
    if (typeof message !== 'object') assert.fail('returned value is not an object')
    assert.ok('OK')
  })
  it('buildMessage should return an object with role and type', () => {
    if (!message.type) assert.fail('returned object does not have the property type')
    if (!message.role) assert.fail('returned object does not have the property role')
    assert.ok('OK')
  })
})