import { HandoverClient } from '../../src/lib/sdk'
import { assert } from 'chai'
const jwt = ''
const backendUrl = ''

describe('SDK', () => {
  it('Client should be instanciated', () => {
    try {
      const Client = new HandoverClient(jwt, backendUrl)
      assert.ok('Client instanciated: ', Client.toString())
    } catch (err) {
      assert.fail('Error thrown:', err)
    }
  })
  it('Client should not be instanciated', () => {
    try {
      new HandoverClient(jwt, backendUrl)
      assert.fail('Client instanciated.. something is wrong')
    } catch (err) {
      assert.ok(`Client not instanciated: ${err}`,)
    }
  })
})

